package com.brilliance.isc.swift.objmtconvert.model.mt9xx.tag.tag970;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt9xx.MT970Creator;

/**
 * @author hedonghao
 * @date 2023/2/24
 */
public class Tag28CCreator extends AbsTagCreate {

    private MT970Creator mt970Creator;

    public Tag28CCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt970Creator= (MT970Creator) absMTCreator;
    }

    public  void creator()
    {
        String tag28CValue=mt970Creator.getStatNumSeqNum();
        mt970Creator.set("28C",tag28CValue);
    }
}
